{
  "extends": "../../tsconfig.base.json",
  "compilerOptions": {
    "jsx": "react-jsx",
    "module": "ESNext",
    "moduleResolution": "Bundler",
    "lib": ["ES2022", "DOM"],
    "types": ["expo/types"],
    "composite": false,
    "noEmit": true,
    "allowJs": true,
    "paths": {
      "@/*": ["./*"],
      "@shared/*": ["../../packages/shared/src/*"],
      "@db-types/*": ["../../packages/db-types/src/*"]
    }
  },
  "include": [
    "**/*.ts",
    "**/*.tsx",
    ".expo/types/**/*.ts",
    "expo-env.d.ts"
  ],
  "exclude": ["node_modules", ".expo", "dist", "build"]
}
